package org.xyzh.common.vo;

import java.io.Serializable;

import org.xyzh.common.dto.resource.TbResource;
import org.xyzh.common.dto.resource.TbResourceCategory;
import org.xyzh.common.dto.resource.TbTag;

import java.util.List;

/**
 * @description 资源VO
 * @filename ResourceVO.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-20
 */
public class ResourceVO implements Serializable{
    private static final long serialVersionUID = 1L;
    
    private TbResource resource;

    private TbResourceCategory resourceCategory;

    private List<TbTag> tags;

    public TbResource getResource() {
        return resource;
    }

    public void setResource(TbResource resource) {
        this.resource = resource;
    }

    public TbResourceCategory getResourceCategory() {
        return resourceCategory;
    }

    public void setResourceCategory(TbResourceCategory resourceCategory) {
        this.resourceCategory = resourceCategory;
    }
    public List<TbTag> getTags() {
        return tags;
    }

    public void setTags(List<TbTag> tags) {
        this.tags = tags;
    }
}
